/**
 * Traceur bootstrap for test cases
 *
 *  Copyright (C) 2014 Mike Gerwitz
 *
 *  This file is part of jsTonic.
 *
 *  jstonic is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

var traceur = require( 'traceur' );

// do not compile any dependencies (node_modules)
var badpath = __dirname.replace( /\/[^\/]+$/, '/node_modules' );

traceur.options.blockBinding = true;
traceur.options.symbols      = true;

traceur.require.makeDefault( function( filename )
{
    // compile only relative directories (so not external modules)
    return !( filename.match( badpath ) );
} );
